GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Remove Approved Address

TradingFund ManagementRemove Approved Address

Remove Approved Address

POSThttps://api.gemini.com/v1/approvedAddresses/{network}/remove

Removes an active or time-pending address from the Approved Address list. Addresses pending approval from another user cannot be removed via API.

POSTv1/approvedAddresses/ethereum/remove
curl --request POST \
  --url https://api.gemini.com/v1/approvedAddresses/ethereum/remove \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/approvedAddresses/ethereum/remove",
  "nonce": "<nonce>",
  "address": "0x0000000000000000000000000000000000000000"
}
'

Roles

The API key you use to access this endpoint must have the Fund Manager role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Path Parameters

networkstring·required
Can be bitcoin, ethereum, bitcoincash, litecoin, zcash, filecoin, dogecoin, tezos, solana, polkadot, avalanche, cosmos, or xrpl

Request Body

requeststring·required
The literal string "/v1/approvedAddresses/:network/remove" where `:network` can be `bitcoin`, `ethereum`, `bitcoincash`, `litecoin`, `zcash`, `filecoin`, `dogecoin`, `tezos`, `solana`, `polkadot`, `avalanche`, `cosmos`, or `xrpl`
nonceTimestampType | integer·required
timestampExample: 1495127793000
addressstring·required
A string of the address to be removed from the approved address list.
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to remove the approved address.
Example request body
{
  "request": "/v1/approvedAddresses/ethereum/remove",
  "nonce": "<nonce>",
  "address": "0x0000000000000000000000000000000000000000"
}

Responses

Successful operation

messagestring
Upon successful request, the endpoint will return a string indicating the address and whether it was removed from the group-level or account-level approved address list.
Example Responses
{
  "message": "0x0000000000000000000000000000000000000000 removed from group pending-time approved addresses."
}
PreviousCreate New Approved AddressNextTransfer Between Accounts
Last modified on May 5, 2026